#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# (c) 2008 by Intevation GmbH
# This is Free software under the GPLv3. 
# See LICENSE comming with the source of 'mpuls offline'
# for details.
#
# author: Sascha L. Teichmann (sascha.teichmann@intevation.de)
# author: Frank Koormann (frank.koormann@intevation.de)
#
from distutils.core import setup

import py2exe
import glob
import os

import PyQt4

def dirname():
    try:
        return os.environ['KDEROOT']
    except KeyError:
        return os.path.dirname(PyQt4.__file__)

def all_codecs():
    return glob.glob(os.path.join(
        dirname(),
        "plugins", "codecs") + os.sep + "*.dll")

def all_imageformats():
    return glob.glob(os.path.join(
        dirname(),
        "plugins", "imageformats") + os.sep + "*.dll")

setup(
    windows = [ {
        'script': 'main.py',
        'icon_resources': [(1, 'static/images/icons/app.ico')],
        'dest_base': 'mde-import'
    } ],
    options = {
        'py2exe': {
            'includes': ['sip', 'PyQt4.QtNetwork', 'dbi']
        }
    },
    data_files =[
        (".",                   ["LICENSE", "wasko_mapper.py"]),
        ("static",              glob.glob("static/*.*")),
        ("static/images",       glob.glob("static/images/*.*")),
        ("static/images/icons", glob.glob("static/images/icons/*.ico")),
        ("UI",                  glob.glob("UI/*.*")),
        ("codecs",              all_codecs()),
        ("imageformats",        all_imageformats())
    ]
)
# vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
